#
# spec file for package nginx-module-headers-more
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define project_name headers-more-nginx-module
Name:           nginx-module-headers-more
Version:        0.33
Release:        lp156.6.2
Summary:        Set, add, and clear arbitrary output headers in NGINX http servers
License:        BSD-2-Clause
Group:          Productivity/Networking/Web/Proxy
URL:            https://github.com/openresty/%{project_name}
Source0:        https://github.com/openresty/%{project_name}/archive/v%{version}.tar.gz#/%{project_name}-%{version}.tar.gz
Source1:        LICENSE
Patch0:         https://patch-diff.githubusercontent.com/raw/openresty/headers-more-nginx-module/pull/134.patch
BuildRequires:  nginx-source
Provides:       nginx:%{ngx_module_dir}/ngx_http_headers_more_filter_module.so
%{ngx_conditionals}
%{ngx_requires}

%description
This module allows you to add, set, or clear any output or input header that
you specify.

This is an enhanced version of the standard headers module because it provides
more utilities like resetting or clearing "builtin headers" like Content-Type,
Content-Length, and Server.

It also allows you to specify an optional HTTP status code criteria using the
-s option and an optional content type criteria using the -t option while
modifying the output headers with the more_set_headers and more_clear_headers
directives.

%prep
mkdir %{project_name}
tar -xzf %{SOURCE0} --strip-components=1 -C %{project_name}
cp -r %{_prefix}/src/nginx .
cp %{SOURCE1} .
pushd %{project_name}
%patch -P0 -p1
popd

%build
cd nginx
%{ngx_configure} --add-dynamic-module=../%{project_name}
%make_build modules

%install
mkdir -p %{buildroot}%{ngx_module_dir}
ls nginx/objs
install -Dpm0644 nginx/objs/ngx_http_headers_more_filter_module.so %{buildroot}%{ngx_module_dir}

%files
%license LICENSE
%{ngx_module_dir}/ngx_http_headers_more_filter_module.so

%changelog
* Sat Apr 13 2024 Fei Yang <io@feiyang.eu.org>
- Update syntax of the patch lines in the spec file.
* Wed Jun 22 2022 Marcus Rueckert <mrueckert@suse.de>
- add https://patch-diff.githubusercontent.com/raw/openresty/headers-more-nginx-module/pull/134.patch
  Fix build with nginx 1.23.0
* Mon Nov  9 2020 Илья Индиго <ilya@ilya.pp.ua>
- Refresh spec-file via spec-cleaner and manual optimizations.
* Fri Oct  2 2020 Marcus Rueckert <mrueckert@suse.de>
- use the ngx_* macros from the nginx-macros package to simplify
  the spec file
* Fri Oct  2 2020 Marcus Rueckert <mrueckert@suse.de>
- add proper split provides
* Tue Aug 28 2018 mrostecki@suse.de
- Initial release
